\begin{tabular}{@{}llrrrr@{}}
\toprule
&              & \multicolumn{4}{c}{\textbf{dim}}                 \\
&{}  		   & \textbf{75} & \textbf{92} & \textbf{109} & \textbf{125} \\ 
\midrule
\multirow{4}{*}{\rotatebox[origin=c]{90}{\textbf{n\_iter}}}		
& \textbf{55} &  76.27 &  71.35 &  68.03 &  65.15 \\
& \textbf{65} &  70.96 &  69.14 &  62.60 &  62.27 \\ \cline{4-4}
& \textbf{75} &  67.39 &  \multicolumn{1}{|c|}{62.39} &  60.47 &  58.61 \\ \cline{4-4}
& \textbf{85} &  62.47 &  60.33 &  56.25 &  55.08 \\
\bottomrule
\end{tabular}